# Get all user requests state in domain

Endpoint: GET /v1/domains/{domainId}/requests
Security: httpAuth

## Path parameters:

  - `domainId` (string, required)
    Unique identifier for the domain.

## Query parameters:

  - `limit` (integer)
    The number of entities to return.

  - `startingAfter` (string)
    For backward compatibility reasons, the startingAfter used to paginate to the next page should be the last requestId in the response json array of the current page

  - `sortBy` (string)
    Property name used to sort the query results.
    Enum: "id"

  - `sortOrder` (string)
    Sort order applied to the query results.
    Enum: "ASC", "DESC"

## Response 200 fields (application/json):

  - `id` (string, required)

  - `requester` (any, required)

  - `status` (string, required)
    Enum: "Processing", "Failed", "Succeeded"

  - `history` (array, required)

  - `history.source` (string, required)

  - `history.status` (string, required)
    Enum: "Processing", "Failed", "Succeeded"

  - `history.hint` (string)

  - `history.createdAt` (string, required)

  - `lastModifiedAt` (string, required)

  - `intent` (object)

  - `intent.domainId` (string, required)

  - `intent.id` (string, required)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)


